ApiResourcesCustomers
List customers
List customer profiles for the authenticated store.
Authorization
bearerAuth storeAuth AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
X-STORE<token>
Select the SellApp store for this API request.
In: header
Query Parameters
limit?integer
Number of items to return per page.
Default
15Range
1 <= value <= 100page?integer
Page number to return.
Default
1Range
1 <= valuepagination?boolean
Set to false to return at most 100 matching customers without pagination metadata.
Default
trueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://sell.app/api/v2/customers"{
"data": [
{
"id": 125,
"email": "buyer@example.com",
"insights": {
"orders_count": 3,
"line_items_count": 4,
"completed_line_items_count": 3,
"pending_line_items_count": 1,
"voided_line_items_count": 0,
"subscriptions_count": 1,
"revenue_usd_cents": 10900,
"first_purchase_at": "2026-06-10T13:15:00.000000Z",
"last_purchase_at": "2026-07-10T13:15:00.000000Z",
"favorite_payment_method": "STRIPE"
},
"wallet": {
"status": "active",
"balance_cents": 2500
},
"created_at": "2026-06-10T13:15:00.000000Z",
"updated_at": "2026-07-10T13:15:00.000000Z"
}
],
"links": {},
"meta": {}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The given data was invalid.",
"errors": {
"data": [
"The data field is required."
]
}
}